#!/usr/bin/env python

# NOTE: Path manipulation requires manual customisation.

import sys
sys.path.append("/home/paulb/Software/Python/WebStack")
sys.path.append("/home/paulb/Software/Python/XSLTools")
sys.path.append("/home/paulb/Software/Python/XSLTools/examples/Common")
sys.path.append("/home/paulb/Software/Python/libxml2dom")

from WebStack.Adapters.CGI import deploy
from WebStack.Resources.ResourceMap import MapResource
from WebStack.Resources.Static import DirectoryResource
import Configurator
import os

# Get the directory of the application.

configurator_resource = Configurator.ConfiguratorResource()
directory = configurator_resource.resource_dir

# Make a simple Web site.

resource = MapResource({
    # Static resources:
    "styles" : DirectoryResource(os.path.join(directory, "styles"), {"css" : "text/css"}),
    "scripts" : DirectoryResource(os.path.join(directory, "scripts"), {"js" : "text/javascript"}),
    # Main page:
    "" : configurator_resource,
    # Fragments:
    "cpu" : configurator_resource,
    "memory" : configurator_resource,
    "hard-disks" : configurator_resource
    })

# Special magic incantation.

deploy(resource, handle_errors=0)

# vim: tabstop=4 expandtab shiftwidth=4
